#
# spec file for package apparmor-docs (Version 2.1.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           apparmor-docs
%if ! %{?distro:1}0
%if %{?suse_version:1}0
  %define distro suse
%endif
%if %{?fedora_version:1}0
  %define distro redhat
%endif
%endif
%if ! %{?distro:1}0
  %define distro suse
%endif
Summary:        AppArmor Documentation package
Version:        2.1.1
Release:        0.7.19
Group:          Documentation/Other
Source0:        apparmor-parser-%{version}-1082.tar.gz
License:        Other uncritical OpenSource License
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Url:            http://forge.novell.com/modules/xfmod/project/?apparmor
PreReq:         sed
BuildRequires:  gcc-c++
%define apparmor_bin_prefix /lib/apparmor
BuildRequires:  bison flex latex2html w3m
%if 0%{?suse_version} > 1020
BuildRequires:  texlive-latex
%else
BuildRequires:  te_latex
%endif
Provides:       subdomain-docs
Obsoletes:      subdomain-docs

%description
This package contains documentation for AppArmor.

This package is part of a suite of tools that used to be named
SubDomain.



Authors:
--------
    lcambell@novell.com

%prep
%setup -q -n apparmor-parser-%{version}

%build
make clean
make techdoc.txt
/usr/bin/pod2html --header --css apparmor.css --infile=apparmor.d.pod --outfile=apparmor.d.5.html
/usr/bin/pod2html --header --css apparmor.css --infile=apparmor.pod --outfile=apparmor.7.html
/usr/bin/pod2html --header --css apparmor.css --infile=apparmor_parser.pod --outfile=apparmor_parser.8.html
/usr/bin/pod2html --header --css apparmor.css --infile=subdomain.conf.pod --outfile=subdomain.conf.5.html
/usr/bin/pod2html --header --css apparmor.css --infile=apparmor.vim.pod --outfile=apparmor.vim.5.html

%install
# nothing to do here

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.[1-9].html
%doc common/apparmor.css
%doc techdoc.pdf techdoc/techdoc.html techdoc/techdoc.css techdoc.txt

%changelog
* Wed Aug 15 2007 ro@suse.de
- split off to its own specfile to keep it noarch
